Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Locator_Options.cpp File Reference

`#include "Locator_Options.h"`
`#include "Locator_NT_Service.h"`
`#include "tao/Strategies/advanced_resource.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ace/ARGV.h"`
`#include "ace/OS_NS_strings.h"`
`#include "ace/Mutex.h"`

Include dependency graph for Locator_Options.cpp:

## Functions
const char * | get_rcsid_ImplRepo_Service_Options (const char *)
void | parse_command_line (char *cmdline, ACE_ARGV &argv)
## Variables
const char * | rcsid_ImplRepo_Service_Options = get_rcsid_ImplRepo_Service_Options ( rcsid_ImplRepo_Service_Options )
const HKEY | SERVICE_REG_ROOT = HKEY_LOCAL_MACHINE
const ACE_TCHAR * | SERVICE_REG_PATH

## Detailed Description

Id:
  Locator_Options.cpp,v 1.2 2003/11/12 22:58:08 michel_j Exp

Author:
  Darrell Brunsch <brunsch@cs.wustl.edu>

## Function Documentation

const char* get_rcsid_ImplRepo_Service_Options | ( | const char * |  | ) | `[inline, static]`

void parse_command_line | ( | char * | cmdline,
|  | ACE_ARGV & | argv
| ) | `[static]`

## Variable Documentation

const char* rcsid_ImplRepo_Service_Options = get_rcsid_ImplRepo_Service_Options ( rcsid_ImplRepo_Service_Options )`[static]`

const ACE_TCHAR* SERVICE_REG_PATH`[static]`

| Initial value:
      ACE_TEXT ("SYSTEM\\CurrentControlSet\\Services\\TAOIMRLocator\\Parameters")

const HKEY SERVICE_REG_ROOT = HKEY_LOCAL_MACHINE`[static]`